Bug 1221374 - dconf user files causes crash on Gnome Shell session
Summary: dconf user files causes crash on Gnome Shell session
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: dconf
Version: 22
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Matthias Clasen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-05-13 21:32 UTC by Luya Tshimbalanga
Modified: 2016-07-19 19:34 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-07-19 19:34:30 UTC
Type: Bug


Attachments (Terms of Use)
old user file 8175NX from .config/dconf (50.43 KB, application/octet-stream)
2015-05-14 22:41 UTC, Luya Tshimbalanga
no flags Details
old user file XQ7N2W from .config/dconf (38.03 KB, application/octet-stream)
2015-05-14 22:42 UTC, Luya Tshimbalanga
no flags Details

Description Luya Tshimbalanga 2015-05-13 21:32:34 UTC
Description of problem:
The issue occurred after upgrading from Fedora 21 to 22. Gnome Shell on X session will crash on the session. Note that problem does not affect Gnome on Wayland

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Either upgrade from Fedora 21 to 22. Pratically upgrade Gnome Shell
2.
3.

Actual results:
X session will crash with a Oh No Something went wrong message.

Expected results:
Session is succesfully logged

Additional info:
Workaround is to backup or delete the old .config/dconf/user and relog the X session again.

Comment 1 Matthias Clasen 2015-05-14 15:57:46 UTC
It would be really useful to see a stacktrace for the shell crash.

Comment 2 Adam Williamson 2015-05-14 18:28:15 UTC
It'd also be useful to have a copy of the offending .config file(s), I guess?

Comment 3 Ray Strode [halfline] 2015-05-14 18:47:53 UTC
did you do fedup ? or yum update ? was it the f21 gnome-shell that crashed or the f22 shell that crashed ?

can you attach the output of journalctl -b -a ?

Comment 4 Luya Tshimbalanga 2015-05-14 22:39:28 UTC
(In reply to Matthias Clasen from comment #1)
> It would be really useful to see a stacktrace for the shell crash.

I am unable to reproduce the bug in question but that user had that problem:
http://www.phoronix.com/forums/forum/phoronix/latest-phoronix-articles/800431-fedora-workstation-22-is-looking-great-running-fantastic?p=800455#post800455

(In reply to Adam Williamson from comment #2)
> It'd also be useful to have a copy of the offending .config file(s), I guess?

The offending file was .config/dconf/userxxx. I will attach them shortly

(In reply to Ray Strode [halfline] from comment #3)
> did you do fedup ? or yum update ? was it the f21 gnome-shell that crashed
> or the f22 shell that crashed ?

Both methods. It was f22 shell that crashed on X session. Gnome on Wayland was fine.

Comment 5 Luya Tshimbalanga 2015-05-14 22:41:14 UTC
Created attachment 1025638 [details]
old user file 8175NX from .config/dconf

Comment 6 Luya Tshimbalanga 2015-05-14 22:42:10 UTC
Created attachment 1025639 [details]
old user file XQ7N2W from .config/dconf

Comment 7 Adam Williamson 2015-05-16 00:07:41 UTC
Haven't been able to reproduce yet - so far tried a clean f21 install, update, and then upgrade, and also copying ~/.config/dconf from my production laptop (which is f21) to a VM and upgrading it. May try some more tomorrow, but I'm on vacation officially, so might need someone else to do it.

Comment 8 Fedora End Of Life 2016-07-19 19:34:30 UTC
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.